VMTKMESHVIEWER(1)

NAME
vmtkmeshviewer - vmtk script vmtkmeshviewer

DESCRIPTION
Automatic piping vmtkmeshviewer Parsing options vmtkmeshviewer

vmtkmeshviewer : display a mesh

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-display Display (bool,1); default=1: toggle rendering

-opacity Opacity (float,1) >= 0.0 and <= 1.0; default=1.0: object

    opacity in the scene

-array ArrayName (str,1): name of the array where the scalars to be

    displayed are stored

-scalarrange ScalarRange (float,2); default=[0.0, 0.0]: range of

    the scalar map

-colormap ColorMap (str,1) in ['rainbow', 'blackbody',

    'cooltowarm', 'grayscale']; default=cooltowarm: choose the color map

-numberofcolors NumberOfColors (int,1); default=256: number of

    colors in the color map

-legend Legend (bool,1); default=0: toggle scalar bar

-color Color (float,3); default=[-1.0, -1.0, -1.0]: RGB color of

    the object in the scene

-flat FlatInterpolation (bool,1); default=0: toggle flat or shaded

    surface display

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh